=== debian/changelog ===
seadrive-gui (3.0.13+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #974214)
  * New upstream version 3.0.13+ds1
  * Fix Maintainer, Uploaders and use my DD email address
  * Patch to fix directive nesting in CMakeLists.txt
  * wrap-and-sort

 -- Moritz Schlarb <moschlar@debian.org>  Thu, 06 Mar 2025 13:49:55 +0100
