## seadrive-gui 3.0.15+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(SEADRIVE_GUI_VERSION_MAJOR 3)
 SET(SEADRIVE_GUI_VERSION_MINOR 0)
-SET(SEADRIVE_GUI_VERSION_PATCH 13)
+SET(SEADRIVE_GUI_VERSION_PATCH 15)
 SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})
@@ -191,6 +191,12 @@
   ${SHIB_EXTRA_HEADER}
   ${platform_specific_moc_headers}
 )
+
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
+    LIST(APPEND moc_headers
+        src/ext-handler.h)
+ENDIF()
+
 IF(QT_VERSION_MAJOR EQUAL 6)
     QT6_WRAP_CPP(moc_output ${moc_headers})
 ELSE()
@@ -326,6 +332,13 @@
   src/i18n.cpp
   third_party/QtAwesome/QtAwesome.cpp
 )
+
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
+    LIST(APPEND seadrive_gui_sources
+        src/ext-handler.cpp)
+ENDIF()
+
+
 
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -428,34 +441,3 @@
 
 ADD_SC_LIBRARY(utils ${utils_sources})
 
-SET(SC_LIBS utils)
-
-####################
-###### end: lib
-####################
-
-####################
-###### start: translations
-####################
-
-SET(LANGUAGES
-  ca
-  de_DE
-  en
-  es
-  es_AR
-  es_MX
-  fr_FR
-  he_IL
-  hu_HU
-  is
-  it
-  ko_KR
-  nl_BE
-  pl_PL
-  pt_BR
-  pt_PT
-  ru
-  sk_SK
-  uk
-  zh_CN
