=== debian/changelog ===
seadrive-gui (3.0.15+ds1-1) unstable; urgency=medium

  * New upstream version 3.0.15+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 12 Aug 2025 09:31:39 +0200
