=== debian/rules ===
#!/usr/bin/make -f

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# For $(DEB_VERSION_UPSTREAM)
include /usr/share/dpkg/pkg-info.mk

export QT_SELECT=5

CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_gencontrol:
	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
	# Needed for versioned dependency on daemon package in d/control
	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)
