=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//, repacksuffix=+ds1, \
    filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/haiwen/seadrive-gui/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
