## seadrive-gui 3.0.16%2Bds1

=== debian/changelog ===
seadrive-gui (3.0.16+ds1-1) unstable; urgency=medium

  * Update d/watch file to version 5
  * New upstream version 3.0.16+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 07 Oct 2025 09:42:03 +0200

seadrive-gui (3.0.15+ds1-2) unstable; urgency=medium

  * d/rules: CMake 4.0 compatibility (Closes: #1113491)

 -- Moritz Schlarb <moschlar@debian.org>  Mon, 06 Oct 2025 11:49:48 +0200
