## seadrive-gui 3.0.16+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(SEADRIVE_GUI_VERSION_MAJOR 3)
 SET(SEADRIVE_GUI_VERSION_MINOR 0)
-SET(SEADRIVE_GUI_VERSION_PATCH 15)
+SET(SEADRIVE_GUI_VERSION_PATCH 16)
 SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})
@@ -183,6 +183,7 @@
   src/ui/encrypted-repos-dialog.h
   src/ui/transfer-progress-dialog.h
   src/ui/uninstall-helper-dialog.h
+  src/ui/sync-root-name-dialog.h
   src/open-local-helper.h
 
   third_party/QtAwesome/QtAwesome.h
@@ -210,6 +211,7 @@
   ui/login-dialog.ui
   ui/settings-dialog.ui
   ui/about-dialog.ui
+  ui/sync-root-name-dialog.ui
 )
 IF(QT_VERSION_MAJOR EQUAL 6)
     QT6_WRAP_UI(ui_output ${ui_files})
@@ -323,6 +325,7 @@
   src/ui/encrypted-repos-dialog.cpp
   src/ui/transfer-progress-dialog.cpp
   src/ui/uninstall-helper-dialog.cpp
+  src/ui/sync-root-name-dialog.cpp
 
   src/open-local-helper.cpp
 
@@ -435,9 +438,3 @@
         )
 ELSEIF(APPLE)
     LIST(APPEND utils_sources
-        src/utils/process-mac.cpp
-        src/utils/utils-mac.mm)
-ENDIF()
-
-ADD_SC_LIBRARY(utils ${utils_sources})
-
