=== debian/control ===
Source: seadrive-gui
Section: utils
Priority: optional
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Moritz Schlarb <moschlar@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libglib2.0-dev,
 libjansson-dev,
 libsearpc-dev,
 libsqlite3-dev,
 libssl-dev,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/haiwen/seadrive-gui/
Vcs-Browser: https://salsa.debian.org/seafile-team/seadrive-gui
Vcs-Git: https://salsa.debian.org/seafile-team/seadrive-gui.git

Package: seadrive-gui
Architecture: any
Depends:
 seadrive-fuse (>= ${source-Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SeaDrive daemon with FUSE interface
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the GUI part of seadrive.
