=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 export QT_SELECT=5
 
-CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release \
+              -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 %:
 	dh $@
