=== debian/watch ===
Version: 5

Template: Github
Owner: haiwen
Project: seadrive-gui
Dversion-Mangle: auto
Repacksuffix: +ds1
