=== debian/changelog ===
seadrive-gui (3.0.18+ds1-1) unstable; urgency=medium

  * Fix URLs in d/u/metadata
  * New upstream version 3.0.18+ds1
  * Refresh patches

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 25 Nov 2025 09:36:18 +0100
